package annotations

import (
	"reflect"

	"git.loafle.net/loafer/annotation-go"
)

var ResourceAnnotationType = reflect.TypeOf((*ResourceAnnotation)(nil))

func init() {
	annotation.Register(ResourceAnnotationType)
}

type ResourceAnnotation struct {
	annotation.TypeAnnotation `@annotation:"@Resource"`
	Name                      string `json:"name"`
}
