package annotations

// @Inject(name? string)

import (
	"reflect"

	"git.loafle.net/loafer/annotation-go"
)

var InjectAnnotationType = reflect.TypeOf((*InjectAnnotation)(nil))

func init() {
	annotation.Register(InjectAnnotationType)
}

type InjectAnnotation struct {
	annotation.TypeAnnotation `@annotation:"@Inject"`

	Name string `json:"name"`
}
